%define upstream_name    DBIx-Simple
%define upstream_version 1.37

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Easy-to-use OO interface to DBI
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI) >= 1.210.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%{?perl_default_filter}

%description

DBIx::Simple provides a simplified interface to DBI, Perl's powerful
database module.

This module is aimed at rapid development and easy maintenance. Query
preparation and execution are combined in a single method, the result
object (which is a wrapper around the statement handle) provides easy
row-by-row and slurping methods.

The 'query' method returns either a result object, or a dummy object. The
dummy object returns undef (or an empty list) for all methods and when used
in boolean context, is false. The dummy object lets you postpone (or skip)
error checking, but it also makes immediate error checking simply
'$db->query(...) or die $db->error'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.370.0-4.mga9
+ Revision: 1808681
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.370.0-3.mga8
+ Revision: 1503681
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.370.0-2.mga7
+ Revision: 1282612
- Mageia 7 Mass Rebuild

* Sun Dec 10 2017 shlomif <shlomif> 1.370.0-1.mga7
+ Revision: 1182006
- update to 1.37

* Sun Jun 19 2016 pterjan <pterjan> 1.350.0-9.mga6
+ Revision: 1025478
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.350.0-8.mga6
+ Revision: 930767
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.350.0-7.mga5
+ Revision: 750848
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.350.0-6.mga5
+ Revision: 735553
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.350.0-5.mga5
+ Revision: 684146
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.350.0-4.mga4
+ Revision: 510469
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.350.0-3.mga3
+ Revision: 365177
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.350.0-2.mga1
+ Revision: 29436
- rebuild
- mageia rebuild
- cleaning spec file

* Sun Jan 09 2011 jquelin <jquelin> 1.350.0-1.mga1
+ Revision: 2421
- imported package perl-DBIx-Simple

